﻿using System.Linq;
using TMD.MessagingSystem.DAL;
using TMD.MessagingSystem.ModelDtos;

namespace TMD.MessagingSystem.DataOps
{
    public class DataOpsMessages
    {
        private static MessagingSystemEntities _context { get; set; }
        private static ComponentMessagesEntity _componentMessagesEntity { get; set; }

        static DataOpsMessages()
        {
            _context = new MessagingSystemEntities();  
        }

        public DataOpsMessages()
        {
            _componentMessagesEntity = new ComponentMessagesEntity();
        }

        public MessageInfoResponse GetMessages(MessageInfoRequest request)
        {
            MessageInfoResponse result = new MessageInfoResponse();
            SystemMessage systemMessage = _componentMessagesEntity.SystemMessageList
                                                        .FirstOrDefault(x => x.MessageTag == request.MessageTag
                                                                          && x.ComponentName == request.ComponentName
                                                                          && x.IsActive);
            if (systemMessage != null)
            {
                result.SystemMessage = systemMessage;
                result.Success = true;
                return result; 
            }
            result.AddError("No Message Found");
            return result; 
        }
    }
}
