﻿using System.Collections.Generic;
using System.Linq;
using TMD.MessagingSystem.DAL;

namespace TMD.MessagingSystem.ModelDtos
{
    public class ComponentMessagesEntity
    {
        private static MessagingSystemEntities _context { get; set; }
        public List<SystemMessage> SystemMessageList { get; set; }

        public ComponentMessagesEntity()
        {
            _context = new MessagingSystemEntities();
            SystemMessageList = GetAllMessages();
        }

        private static List<SystemMessage> GetAllMessages()
        {
            List<ComponentMessage> _componentMessageList = _context.ComponentMessages.ToList();
            List<SystemMessage> _systemMessageList       = new List<SystemMessage>();

            foreach (var item in _componentMessageList)
            {
                SystemMessage systemMessage = new SystemMessage
                    {
                        MessageTag    = item.MessageTag,
                        ComponentName = item.ComponentName,
                        MessageType   = item.MessageType,
                        Message       = item.Message,
                        IsActive      = item.IsActive
                    };
                _systemMessageList.Add(systemMessage);
            }

            return _systemMessageList;
        }
    }
}